<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <link rel="stylesheet" href="{% static '/base.css' %}">
    <link rel="stylesheet" href="{% static '/css/selfdiagnosis.css' %}">
    <title>Web App (control ethernet speed)</title>
</head>

<body>
    <section class="section homepage-section">
	<div>
		Current Advertised Link Mode Speed: {{ speed }}
	</div>
        <form method = "GET" class="form-homepage">
          {{ form }}
          <input type = "submit" value="Submit">
        </form>
    </section>
    <script>
        $(".form-homepage").on('submit', function(event) {
            alert("Submitted");
        })
    </script>
</body>
</html>
